// Neural Space Rev. 2002
// By Hector Lopez
// 10/3/2002

#ifndef _CONFIG_WINDOW_H_
#define _CONFIG_WINDOW_H_

#include "Defs.h"


class RTColorControl : public BColorControl {
	public:
		RTColorControl(BPoint point, BMessage *message);
		void SetValue(int32 color);
};


class ConfigWindow : public BWindow {
	public:
		ConfigWindow(BRect frame, const char *title, passing_things data);
		virtual void MessageReceived(BMessage *msg);
		virtual bool QuitRequested();
		
	private:
		void UpdateDeskbarIconWidth();
		void ResetToDefaults();
		
		RTColorControl *colorControl;
		BRadioButton *activeRadioButton, *idleRadioButton, *frameRadioButton;
		BTextControl *iconWidth;
		BButton *resetButton;
		
		BMessenger *messenger;
		int32 frame_color, idle_color, active_color;
		int icon_width;
};

#endif

