// Neural Space Rev. 2002
// By Hector Lopez
// 10/3/2002


#include "NSApp.h"
#include "Defs.h"


NSApp::NSApp(const char *signature) : BApplication(signature) {
	
	BDeskbar *the_deskbar = new BDeskbar();
	if (the_deskbar->HasItem("Neural Space Rev2002"))	{
		BAlert *alert = new BAlert("Error", "Replicant already docked.\nShall I do...", 
														"Remove", "Nothing", NULL,  B_WIDTH_AS_USUAL, B_OFFSET_SPACING);
		int32 whatButton = alert->Go();
		if (whatButton == 0) the_deskbar->RemoveItem("Neural Space Rev2002");
	}
	else {
		app_info *the_app_info = new app_info();
		GetAppInfo(the_app_info);
		BEntry *the_app_entry = new BEntry(&the_app_info->ref);
		BDirectory *the_addon_dir = new BDirectory();
		the_app_entry->GetParent(the_addon_dir);
		BEntry *the_addon_entry = new BEntry();
		status_t addonExists = the_addon_dir->FindEntry("NSView", the_addon_entry, false);
		if (addonExists == B_OK) {
			entry_ref *the_addon_ref = new entry_ref();
			the_addon_entry->GetRef(the_addon_ref);
			status_t result = the_deskbar->AddItem(the_addon_ref);
			if (result != B_OK) {
				BAlert *alert = new BAlert("Error", "Can't create deskbar replicant", 
														"Ok", NULL, NULL, B_WIDTH_AS_USUAL, B_OFFSET_SPACING);
				alert->Go();
			};
			delete the_addon_ref;
		} else {
			BAlert *alert = new BAlert("Error", "Can't find deskbar addon.\nReinstalling would be a good idea...", 
														"Ok", NULL, NULL, B_WIDTH_AS_USUAL, B_OFFSET_SPACING);
			alert->Go();
		};
		delete the_app_info;
		delete the_app_entry;
		delete the_addon_dir;
		delete the_addon_entry;
	};
	delete the_deskbar;
	be_app->PostMessage(B_QUIT_REQUESTED);
};

int main()
{
	new NSApp(NS_APP_SIGNATURE);
	be_app->Run();
	
	delete be_app;
	return 0;
};