// Neural Space Rev. 2002
// By Hector Lopez
// 10/3/2002


#ifndef _NSVIEW_H_
#define _NSVIEW_H_

#include "Defs.h"
#include "ConfigWindow.h"


class NSView : public BView {
	public:
		NSView(BRect rect, const char *name);
		NSView(BMessage *mes);
		~NSView();
		virtual void MouseDown(BPoint point);
		virtual void Draw(BRect frame);
		virtual void AttachedToWindow();
		virtual void MessageReceived(BMessage *message);
		
		static BArchivable *Instantiate(BMessage *data);
		virtual	status_t Archive(BMessage *data, bool deep = true) const;
		
	private:
		BPopUpMenu *popupMenu;
		BMenuItem *configItem, *aboutItem, *quitItem;
		ConfigWindow *prefsWindow;
		
		BMessageRunner *messageRunner;
		BMessenger messenger;
		
		rgb_color frame_color, active_color, idle_color;
		float memoryLoad;
		
		void Update();
		void RemoveReplicant();
		void ShowAbout();
};


#endif